### Hierarchy

- EventEmitter
  - Cluster

## Index

### Properties

- Worker
- isMaster
- isWorker
- settings
- worker
- workers
- defaultMaxListeners

### Methods

- addListener
- disconnect
- emit
- eventNames
- fork
- getMaxListeners
- listenerCount
- listeners
- off
- on
- once
- prependListener
- prependOnceListener
- rawListeners
- removeAllListeners
- removeListener
- setMaxListeners
- setupMaster
- listenerCount

## Properties

### Worker

Worker: Worker

- Defined in node_modules/@types/node/cluster.d.ts:94

### isMaster

isMaster: boolean

- Defined in node_modules/@types/node/cluster.d.ts:97

### isWorker

isWorker: boolean

- Defined in node_modules/@types/node/cluster.d.ts:98

### settings

settings: ClusterSettings

- Defined in node_modules/@types/node/cluster.d.ts:100

### Optional worker

worker: Worker

- Defined in node_modules/@types/node/cluster.d.ts:102

### Optional workers

workers: undefined | object

- Defined in node_modules/@types/node/cluster.d.ts:103

### Static defaultMaxListeners

defaultMaxListeners: number

Inherited from EventEmitter.defaultMaxListeners

- Defined in node_modules/@types/node/events.d.ts:8

## Methods

### addListener

- addListener(event: string, listener: function): this
- addListener(event: "disconnect", listener: function): this
- addListener(event: "exit", listener: function): this
- addListener(event: "fork", listener: function): this
- addListener(event: "listening", listener: function): this
- addListener(event: "message", listener: function): this
- addListener(event: "online", listener: function): this
- addListener(event: "setup", listener: function): this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/cluster.d.ts:117

  events.EventEmitter

  1. disconnect
  2. exit
  3. fork
  4. listening
  5. message
  6. online
  7. setup

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/cluster.d.ts:118

  #### Parameters

  - ##### event: "disconnect"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/cluster.d.ts:119

  #### Parameters

  - ##### event: "exit"

  - ##### listener: function

    - - (worker: Worker, code: number, signal: string): void

      - #### Parameters

        - ##### worker: Worker

        - ##### code: number

        - ##### signal: string

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/cluster.d.ts:120

  #### Parameters

  - ##### event: "fork"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/cluster.d.ts:121

  #### Parameters

  - ##### event: "listening"

  - ##### listener: function

    - - (worker: Worker, address: Address): void

      - #### Parameters

        - ##### worker: Worker

        - ##### address: Address

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/cluster.d.ts:122

  #### Parameters

  - ##### event: "message"

  - ##### listener: function

    - - (worker: Worker, message: any, handle: Socket | Server): void

      - #### Parameters

        - ##### worker: Worker

        - ##### message: any

        - ##### handle: Socket | Server

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/cluster.d.ts:123

  #### Parameters

  - ##### event: "online"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/cluster.d.ts:124

  #### Parameters

  - ##### event: "setup"

  - ##### listener: function

    - - (settings: ClusterSettings): void

      - #### Parameters

        - ##### settings: ClusterSettings

        #### Returns void

  #### Returns this

### disconnect

- disconnect(callback?: undefined | function): void

- - Defined in node_modules/@types/node/cluster.d.ts:95

  #### Parameters

  - ##### Optional callback: undefined | function

  #### Returns void

### emit

- emit(event: string | symbol, ...args: any[]): boolean
- emit(event: "disconnect", worker: Worker): boolean
- emit(event: "exit", worker: Worker, code: number, signal: string): boolean
- emit(event: "fork", worker: Worker): boolean
- emit(event: "listening", worker: Worker, address: Address): boolean
- emit(event: "message", worker: Worker, message: any, handle: Socket | Server): boolean
- emit(event: "online", worker: Worker): boolean
- emit(event: "setup", settings: ClusterSettings): boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/cluster.d.ts:126

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/cluster.d.ts:127

  #### Parameters

  - ##### event: "disconnect"

  - ##### worker: Worker

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/cluster.d.ts:128

  #### Parameters

  - ##### event: "exit"

  - ##### worker: Worker

  - ##### code: number

  - ##### signal: string

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/cluster.d.ts:129

  #### Parameters

  - ##### event: "fork"

  - ##### worker: Worker

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/cluster.d.ts:130

  #### Parameters

  - ##### event: "listening"

  - ##### worker: Worker

  - ##### address: Address

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/cluster.d.ts:131

  #### Parameters

  - ##### event: "message"

  - ##### worker: Worker

  - ##### message: any

  - ##### handle: Socket | Server

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/cluster.d.ts:132

  #### Parameters

  - ##### event: "online"

  - ##### worker: Worker

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/cluster.d.ts:133

  #### Parameters

  - ##### event: "setup"

  - ##### settings: ClusterSettings

  #### Returns boolean

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  Overrides EventEmitter.eventNames

  - Defined in node_modules/@types/node/events.d.ts:23

  #### Returns Array<string | symbol>

### fork

- fork(env?: any): Worker

- - Defined in node_modules/@types/node/cluster.d.ts:96

  #### Parameters

  - ##### Optional env: any

  #### Returns Worker

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  Overrides EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:19

  #### Returns number

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  Overrides EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:24

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from EventEmitter.listeners

  Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/events.d.ts:20

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  Overrides EventEmitter.off

  - Defined in node_modules/@types/node/events.d.ts:16

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: string, listener: function): this
- on(event: "disconnect", listener: function): this
- on(event: "exit", listener: function): this
- on(event: "fork", listener: function): this
- on(event: "listening", listener: function): this
- on(event: "message", listener: function): this
- on(event: "online", listener: function): this
- on(event: "setup", listener: function): this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/cluster.d.ts:135

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/cluster.d.ts:136

  #### Parameters

  - ##### event: "disconnect"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/cluster.d.ts:137

  #### Parameters

  - ##### event: "exit"

  - ##### listener: function

    - - (worker: Worker, code: number, signal: string): void

      - #### Parameters

        - ##### worker: Worker

        - ##### code: number

        - ##### signal: string

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/cluster.d.ts:138

  #### Parameters

  - ##### event: "fork"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/cluster.d.ts:139

  #### Parameters

  - ##### event: "listening"

  - ##### listener: function

    - - (worker: Worker, address: Address): void

      - #### Parameters

        - ##### worker: Worker

        - ##### address: Address

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/cluster.d.ts:140

  #### Parameters

  - ##### event: "message"

  - ##### listener: function

    - - (worker: Worker, message: any, handle: Socket | Server): void

      - #### Parameters

        - ##### worker: Worker

        - ##### message: any

        - ##### handle: Socket | Server

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/cluster.d.ts:141

  #### Parameters

  - ##### event: "online"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/cluster.d.ts:142

  #### Parameters

  - ##### event: "setup"

  - ##### listener: function

    - - (settings: ClusterSettings): void

      - #### Parameters

        - ##### settings: ClusterSettings

        #### Returns void

  #### Returns this

### once

- once(event: string, listener: function): this
- once(event: "disconnect", listener: function): this
- once(event: "exit", listener: function): this
- once(event: "fork", listener: function): this
- once(event: "listening", listener: function): this
- once(event: "message", listener: function): this
- once(event: "online", listener: function): this
- once(event: "setup", listener: function): this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/cluster.d.ts:144

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/cluster.d.ts:145

  #### Parameters

  - ##### event: "disconnect"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/cluster.d.ts:146

  #### Parameters

  - ##### event: "exit"

  - ##### listener: function

    - - (worker: Worker, code: number, signal: string): void

      - #### Parameters

        - ##### worker: Worker

        - ##### code: number

        - ##### signal: string

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/cluster.d.ts:147

  #### Parameters

  - ##### event: "fork"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/cluster.d.ts:148

  #### Parameters

  - ##### event: "listening"

  - ##### listener: function

    - - (worker: Worker, address: Address): void

      - #### Parameters

        - ##### worker: Worker

        - ##### address: Address

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/cluster.d.ts:149

  #### Parameters

  - ##### event: "message"

  - ##### listener: function

    - - (worker: Worker, message: any, handle: Socket | Server): void

      - #### Parameters

        - ##### worker: Worker

        - ##### message: any

        - ##### handle: Socket | Server

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/cluster.d.ts:150

  #### Parameters

  - ##### event: "online"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/cluster.d.ts:151

  #### Parameters

  - ##### event: "setup"

  - ##### listener: function

    - - (settings: ClusterSettings): void

      - #### Parameters

        - ##### settings: ClusterSettings

        #### Returns void

  #### Returns this

### prependListener

- prependListener(event: string, listener: function): this
- prependListener(event: "disconnect", listener: function): this
- prependListener(event: "exit", listener: function): this
- prependListener(event: "fork", listener: function): this
- prependListener(event: "listening", listener: function): this
- prependListener(event: "message", listener: function): this
- prependListener(event: "online", listener: function): this
- prependListener(event: "setup", listener: function): this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/cluster.d.ts:153

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/cluster.d.ts:154

  #### Parameters

  - ##### event: "disconnect"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/cluster.d.ts:155

  #### Parameters

  - ##### event: "exit"

  - ##### listener: function

    - - (worker: Worker, code: number, signal: string): void

      - #### Parameters

        - ##### worker: Worker

        - ##### code: number

        - ##### signal: string

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/cluster.d.ts:156

  #### Parameters

  - ##### event: "fork"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/cluster.d.ts:157

  #### Parameters

  - ##### event: "listening"

  - ##### listener: function

    - - (worker: Worker, address: Address): void

      - #### Parameters

        - ##### worker: Worker

        - ##### address: Address

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/cluster.d.ts:158

  #### Parameters

  - ##### event: "message"

  - ##### listener: function

    - - (worker: Worker, message: any, handle: Socket | Server): void

      - #### Parameters

        - ##### worker: Worker

        - ##### message: any

        - ##### handle: Socket | Server

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/cluster.d.ts:159

  #### Parameters

  - ##### event: "online"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/cluster.d.ts:160

  #### Parameters

  - ##### event: "setup"

  - ##### listener: function

    - - (settings: ClusterSettings): void

      - #### Parameters

        - ##### settings: ClusterSettings

        #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: string, listener: function): this
- prependOnceListener(event: "disconnect", listener: function): this
- prependOnceListener(event: "exit", listener: function): this
- prependOnceListener(event: "fork", listener: function): this
- prependOnceListener(event: "listening", listener: function): this
- prependOnceListener(event: "message", listener: function): this
- prependOnceListener(event: "online", listener: function): this
- prependOnceListener(event: "setup", listener: function): this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/cluster.d.ts:162

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/cluster.d.ts:163

  #### Parameters

  - ##### event: "disconnect"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/cluster.d.ts:164

  #### Parameters

  - ##### event: "exit"

  - ##### listener: function

    - - (worker: Worker, code: number, signal: string): void

      - #### Parameters

        - ##### worker: Worker

        - ##### code: number

        - ##### signal: string

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/cluster.d.ts:165

  #### Parameters

  - ##### event: "fork"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/cluster.d.ts:166

  #### Parameters

  - ##### event: "listening"

  - ##### listener: function

    - - (worker: Worker, address: Address): void

      - #### Parameters

        - ##### worker: Worker

        - ##### address: Address

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/cluster.d.ts:168

  #### Parameters

  - ##### event: "message"

  - ##### listener: function

    - - (worker: Worker, message: any, handle: Socket | Server): void

      - #### Parameters

        - ##### worker: Worker

        - ##### message: any

        - ##### handle: Socket | Server

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/cluster.d.ts:169

  #### Parameters

  - ##### event: "online"

  - ##### listener: function

    - - (worker: Worker): void

      - #### Parameters

        - ##### worker: Worker

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/cluster.d.ts:170

  #### Parameters

  - ##### event: "setup"

  - ##### listener: function

    - - (settings: ClusterSettings): void

      - #### Parameters

        - ##### settings: ClusterSettings

        #### Returns void

  #### Returns this

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from EventEmitter.rawListeners

  Overrides EventEmitter.rawListeners

  - Defined in node_modules/@types/node/events.d.ts:21

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  Overrides EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/events.d.ts:17

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/events.d.ts:15

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  Overrides EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:18

  #### Parameters

  - ##### n: number

  #### Returns this

### setupMaster

- setupMaster(settings?: ClusterSettings): void

- - Defined in node_modules/@types/node/cluster.d.ts:101

  #### Parameters

  - ##### Optional settings: ClusterSettings

  #### Returns void

### Static listenerCount

- listenerCount(emitter: EventEmitter, event: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:7
  deprecated

    since v4.0.0

  #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string | symbol

  #### Returns number

Generated using TypeDoc